## org.gnu.gtk.event
Class StartDragEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.DragEvent
              org.gnu.gtk.event.StartDragEvent

All Implemented Interfaces:
  java.io.Serializable

public class StartDragEvent
extends DragEvent

See Also:
  Serialized Form

Nested Class Summary
`static class` `StartDragEvent.Type`

Constructor Summary
`StartDragEvent(Widget source, EventType type, DragContext context)`

Methods inherited from class org.gnu.gtk.event.DragEvent
`getDragContext`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StartDragEvent

    public StartDragEvent(Widget source,
                          EventType type,
                          DragContext context)